#
# spec file for package kinput2 (Version v3.1beta4)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  canna canna-devel canna-libs fwnndev x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 canna canna-devel canna-libs cracklib fwnndev gcc gdbm gettext libtool perl rpm xdevel xshared zlib

Name:         kinput2
License:      Other License(s), see package
Group:        System/I18n/Japanesse
Autoreqprov:  on
Version:      v3.1beta4
Release:      154
# URL: 
Source0:      ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-v3.1-beta4.tar.bz2
Patch0:       kinput2.app-defaults.patch
Patch1:       Kinput2.conf.patch
Patch2:       kinput2.man-page.patch
Patch3:       %{name}-v3.1-beta3.dif
Patch4:       %{name}-v3.1-beta3-java.dif
Patch5:       kinput2-v3.1-rootwindow-1.patch
Patch6:       reset_state.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      kanji input server for X11
# Summary(ja): X用日本語入力サーバ
# %description -l ja
# Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。

%description
Kinput2 is an input server for X11 applications
that want Japanese text input.

Authors:
--------
    Makoto Ishisone <ishisone@sra.co.jp>

%prep
%setup0 -n %{name}-v3.1-beta4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# doesn't help for this version of kinput2, Java problem still exists.
#%patch4 -p1
%patch5 -p1
%patch6 -p1
head -n 21 cmd/kinput2.c > Copyright

%build
# update config.{guess,sub}
%{?suse_update_config}
# edit Kinput2.conf here ...
#sed -e 's/#define UseSj3/#undef UseSj3/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
#sed -e 's/\/\* #define UseWnn \*\//#define UseWnn/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
xmkmf 
make Makefiles
make depend
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make install DESTDIR=$RPM_BUILD_ROOT
make install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc Copyright IMPORTANT.beta NEWS README doc
%doc -P client/README
/usr/X11R6/bin/kinput2
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/man/man1/kinput2.1*
/usr/X11R6/lib/X11/ccdef/*

%changelog -n kinput2
* Fri Apr 02 2004 - mfabian@suse.de
- Bugzilla #35697:
  "LTC6518-kinput2 doesn't work properly for XmbResetIC() with
  XIMInitialState"
  apply patch received from IBM.
- Bugzilla #34752: don't allow to close the candidate window
  with the close button of the window manager.
  Thanks to Mitsuru Chinen <mchinen@yamato.ibm.com>
* Sun Aug 11 2002 - mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
  xf86 -> x-devel-packages
* Fri Aug 02 2002 - mfabian@suse.de
- update to v3.1-beta4:
  * A bug in destroying IC, which is introduced by the previous
  beta and causes some clients core dump is fixed.
* Mon Mar 11 2002 - mfabian@suse.de
- change app-defaults to avoid input focus for the
  "SeparateConversion", "selectionShell", and "auxShell" widgets.
  These windows should never get focus, it just causes problems
  when they do.
* Sat Jan 19 2002 - mfabian@suse.de
- updated to v3.1-beta3
* Mon Sep 24 2001 - mfabian@suse.de
- change the default keybindings for kinput2/Wnn to use
  ccdef.kinput2.egg. User feedback seems to indicate that nobody
  likes the "default default" keybindings from ccdef.kinput2
  (I don't like them either). The keybindings defined in
  ccdef.kinput2.egg are much more similar to the behaviour
  of other input methods like kinput2/Canna etc., therefore they
  seem to more natural for most people.
- fix the man-page to mention the new default.
* Thu Sep 06 2001 - mfabian@suse.de
- fix "too few arguments to function `jl_kanji_len'"
  (was always wrong, but went unnoticed until <schwab@suse.de>
  fixed some stuff in FreeWnn.
- remove warnings (passing incompatible pointer type etc.)
* Fri Aug 10 2001 - mfabian@suse.de
- updated to v3.1-beta2
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Wed Nov 01 2000 - mfabian@suse.de
- added support for wnn.
* Fri Jul 14 2000 - mfabian@suse.de
- new package: kinput2, Version v3.1 alpha1
